<?xml version="1.0"?>
<urls>
  <rewrite id="1" enable="true" issys="1" text="blogclist" pattern="space/(\d+)/(\w+)/(\w+)/([a-zA-z0-9]+)/(\d+)[ext]" page="space/?$1/$2/$3/$4/page=$5" urlrule="space/{$uid}/{$action}/{$do}/{$id}/{$page}[ext]" />
  <rewrite id="2" enable="true" issys="1" text="tagslist" pattern="tags\/(.*)[ext]" page="plus/tags.aspx?key=$1" urlrule="tags/{$id}[ext]" />
  <rewrite id="3" enable="true" issys="1" text="contentlist" pattern="Category/(\d+)[ext]" page="model/list.aspx?id=$1" urlrule="Category/{$id}[ext]" />
  <rewrite id="4" enable="true" issys="1" text="contentlistpage" pattern="Category/(\d+)-(\d+)[ext]" page="model/list.aspx?id=$1^page=$2" urlrule="Category/{$id}-{$page}[ext]" />
  <rewrite id="5" enable="true" issys="1" text="contentview" pattern="View_(\d+)/(\d+)[ext]" page="model/view.aspx?m_id=$1^id=$2" urlrule="View_{$modelid}/{$id}[ext]" />
  <rewrite id="6" enable="true" issys="1" text="contentviewpage" pattern="View_(\d+)/(\d+)-(\d+)[ext]" page="model/view.aspx?m_id=$1^id=$2^page=$3" urlrule="View_{$modelid}/{$id}-{$page}[ext]" />
  <rewrite id="7" enable="true" issys="1" text="shoplist" pattern="mall/(.*)" page="shop/index.aspx?$1" urlrule="mall/{$query}" />
  <rewrite id="8" enable="true" issys="1" text="groupbuylist" pattern="groupbuy/(.*)" page="shop/groupbuyindex.aspx?$1" urlrule="groupbuy/{$query}" />
  <rewrite id="9" enable="true" issys="1" text="groupbuyview" pattern="groupbuyview-(\d+)[ext]" page="shop/groupbuyshow.aspx?id=$1" urlrule="groupbuyview-{$id}[ext]" />
  <rewrite id="10" enable="true" issys="1" text="examlist" pattern="examlist/(.*)" page="exam/list.aspx?$1" urlrule="examlist/{$query}" />
  <rewrite id="11" enable="true" issys="1" text="examview" pattern="exam/paper-(\d+)[ext]" page="exam/view.aspx?id=$1" urlrule="exam/paper-{$id}[ext]" />
  <rewrite id="12" enable="true" issys="1" text="examreviews" pattern="exam/reviews-(\d+)[ext]" page="exam/reviews.aspx?id=$1" urlrule="exam/reviews-{$id}[ext]" />
  <rewrite id="13" enable="true" issys="1" text="asklist" pattern="asklist/(.*)" page="ask/list.aspx?$1" urlrule="asklist/{$query}" />
  <rewrite id="14" enable="true" issys="1" text="askview" pattern="ask/q-(\d+)[ext]" page="ask/question.aspx?id=$1" urlrule="ask/q-{$id}[ext]" />
  <rewrite id="15" enable="true" issys="1" text="blog" pattern="space/(\d+)[ext]" page="space/?$1" urlrule="space/{$id}[ext]" />
  <rewrite id="16" enable="true" issys="1" text="bloglist" pattern="space/(\d+)/([a-zA-z0-9]+)[ext]" page="space/?$1/$2" urlrule="space/{$id}/{$other}[ext]" />
  <rewrite id="17" enable="true" issys="1" text="blogview" pattern="space/(\d+)/(\w+)/(\w+)/(\d+)[ext]" page="space/?$1/$2/$3/$4" urlrule="space/{$uid}/{$action}/{$do}/{$id}[ext]" />
  <rewrite id="18" enable="true" issys="1" text="bloglistpage" pattern="space/(\d+)/([a-zA-z0-9]+)/(\d+)[ext]" page="space/?$1/$2.aspx?page=$3" urlrule="space/{$uid}/{$action}/{$page}[ext]" />
</urls>